Package Gnumed :: Package wxpython :: Module gmProviderInboxWidgets :: Class cInboxMessageEAPnl |
[frames] | no frames]

# Class cInboxMessageEAPnl

source code

                                       wx.ScrolledWindow --+
                                                           |
    wxGladeWidgets.wxgInboxMessageEAPnl.wxgInboxMessageEAPnl --+
                                                               |
                                                  object --+   |
                                                           |   |
                            gmEditArea.cGenericEditAreaMixin --+
                                                               |
                                                              cInboxMessageEAPnl

Instance Methods
__init__(self, *args, **kwargs) x.__init__(...) initializes x; see help(type(x)) for signature | source code
Inherited from `gmEditArea.cGenericEditAreaMixin`: `display_ctrl_as_valid`, `display_tctrl_as_valid`, `refresh`, `save` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
Inherited from `gmEditArea.cGenericEditAreaMixin`: `StatusText`, `data`, `mode`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, *args, **kwargs) (Constructor) | source code
x.__init__(...) initializes x; see help(type(x)) for signature Overrides: object.__init__ (inherited documentation)